aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorrope252 <gareth.roper@est.tech>2021-01-28 13:04:03 +0000
committerrope252 <gareth.roper@est.tech>2021-01-28 15:13:52 +0000
commit6e2e3500df67dae8a910b402b3fed288cf457416 (patch)
tree980faee801f7bbcabb2366522e3a2b38fca1abc9
parent9e374ff74271522be59970172691c730fbe9fd5b (diff)
Add the NFVO DB Creation to Docker-config for ETSI NFVO NS LCM CSIT Tests
Change-Id: I68c5a379d89b2a807018636ba1c80156c885f7e2 Issue-ID: INT-1839 Signed-off-by: rope252 <gareth.roper@est.tech>
-rw-r--r--volumes/mariadb/docker-entrypoint-initdb.d/04-create-nfvodb.sh31
-rw-r--r--volumes/mariadb/docker-entrypoint-initdb.d/98-create-so-user.sh (renamed from volumes/mariadb/docker-entrypoint-initdb.d/04-create-so-user.sh)1
-rw-r--r--volumes/mariadb/docker-entrypoint-initdb.d/99-create-so-admin.sh (renamed from volumes/mariadb/docker-entrypoint-initdb.d/05-create-so-admin.sh)1
3 files changed, 33 insertions, 0 deletions
diff --git a/volumes/mariadb/docker-entrypoint-initdb.d/04-create-nfvodb.sh b/volumes/mariadb/docker-entrypoint-initdb.d/04-create-nfvodb.sh
new file mode 100644
index 0000000..f6d566d
--- /dev/null
+++ b/volumes/mariadb/docker-entrypoint-initdb.d/04-create-nfvodb.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+# ============LICENSE_START=======================================================
+# Copyright (C) 2021 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+echo "Creating nfvo database . . ." 1>/tmp/mariadb-nfvodb.log 2>&1
+
+mysql -uroot -p$MYSQL_ROOT_PASSWORD << 'EOF' || exit 1
+DROP DATABASE IF EXISTS `nfvo`;
+CREATE DATABASE /*!32312 IF NOT EXISTS*/ `nfvo` /*!40100 DEFAULT CHARACTER SET latin1 */;
+DROP USER IF EXISTS 'nfvouser';
+CREATE USER 'nfvouser';
+GRANT ALL on nfvo.* to 'nfvouser' identified by 'nfvo123' with GRANT OPTION;
+FLUSH PRIVILEGES;
+EOF
+
+echo "Created nfvo database . . ." 1>>/tmp/mariadb-nfvodb.log 2>&1
diff --git a/volumes/mariadb/docker-entrypoint-initdb.d/04-create-so-user.sh b/volumes/mariadb/docker-entrypoint-initdb.d/98-create-so-user.sh
index 9c96720..96dd22c 100644
--- a/volumes/mariadb/docker-entrypoint-initdb.d/04-create-so-user.sh
+++ b/volumes/mariadb/docker-entrypoint-initdb.d/98-create-so-user.sh
@@ -30,6 +30,7 @@ GRANT USAGE ON *.* TO 'so_user'@'%' IDENTIFIED BY 'so_User123';
GRANT SELECT, INSERT, UPDATE, DELETE, EXECUTE, SHOW VIEW ON `requestdb`.* TO 'so_user'@'%';
GRANT SELECT, INSERT, UPDATE, DELETE, EXECUTE, SHOW VIEW ON `catalogdb`.* TO 'so_user'@'%';
GRANT SELECT, INSERT, UPDATE, DELETE, EXECUTE, SHOW VIEW ON `camundabpmn`.* TO 'so_user'@'%';
+GRANT SELECT, INSERT, UPDATE, DELETE, EXECUTE, SHOW VIEW ON `nfvo`.* TO 'so_user'@'%';
FLUSH PRIVILEGES;
EOF
diff --git a/volumes/mariadb/docker-entrypoint-initdb.d/05-create-so-admin.sh b/volumes/mariadb/docker-entrypoint-initdb.d/99-create-so-admin.sh
index 6eb3baa..2d38f84 100644
--- a/volumes/mariadb/docker-entrypoint-initdb.d/05-create-so-admin.sh
+++ b/volumes/mariadb/docker-entrypoint-initdb.d/99-create-so-admin.sh
@@ -30,6 +30,7 @@ GRANT USAGE ON *.* TO 'so_admin'@'%' IDENTIFIED BY 'so_Admin123';
GRANT ALL PRIVILEGES ON `camundabpmn`.* TO 'so_admin'@'%' WITH GRANT OPTION;
GRANT ALL PRIVILEGES ON `requestdb`.* TO 'so_admin'@'%' WITH GRANT OPTION;
GRANT ALL PRIVILEGES ON `catalogdb`.* TO 'so_admin'@'%' WITH GRANT OPTION;
+GRANT ALL PRIVILEGES ON `nfvo`.* TO 'so_admin'@'%' WITH GRANT OPTION;
FLUSH PRIVILEGES;
EOF